<section class="list">
  <div class="mt-5 d-flex align-items-center">
    <span class="me-3">Ditemukan <strong>{{pagination.totalItems}}</strong> hasil</span>
    <ng-select class="mr-md-3 mb-sm-0 ms-auto"
               [searchable]="false"
               [clearable]="false"
               [items]="sortOptions"
               bindValue="value"
               bindLabel="label"
               placeholder="Pilih Tipe Peta"
               [closeOnSelect]="true"
               (change)="filterSort($event)"
               [(ngModel)]="filter.sort">
      >
    </ng-select>
  </div>
  <hr />

  <ng-container *ngIf="isLoading$ | async">
    <div class="d-md-flex flex-wrap">
      <ngx-skeleton-loader class="item"
                           count="1"
                           [theme]="{ 
                        height: '200px'
                      }">
      </ngx-skeleton-loader>
      <ngx-skeleton-loader class="item"
                           count="1"
                           [theme]="{ 
                        height: '200px'
                      }">
      </ngx-skeleton-loader>
      <ngx-skeleton-loader class="item"
                           count="1"
                           [theme]="{ 
                        height: '200px'
                      }">
      </ngx-skeleton-loader>
      <ngx-skeleton-loader class="item"
                           count="1"
                           [theme]="{ 
                        height: '200px'
                      }">
      </ngx-skeleton-loader>
    </div>
  </ng-container>
  <ng-container *ngIf="!(isLoading$ | async)">
    <div class="d-md-flex flex-wrap">
      <div class="item cursor-pointer d-flex flex-column mb-4 mt-2"
           *ngFor="let item of data$ | async"
           (click)="openDetail(item)">
        <img class="mb-3 w-100 h-100"
             [src]="apiData + item.image">
        <div class="fw-bold">{{ item.title }}</div>
      </div>
    </div>
  </ng-container>

</section>